<%
    import datetime

    att = {'color': '#3498db',
           'title': "%s (ver. %s)" % (_SOFTNAME_, _SOFTVER_)}

    if subcmd == 'expired-pause' and session is not UNDEFINED:
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s *pause expired* for session *%s* from %s."
                       % (_SOFTNAME_,
                          session,
                          _SERVER_ID_))
    elif subcmd == 'extend-pause' and UNDEFINED not in (session, ttl):
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s *pause extended* for session *%s* to *%s* from %s."
                       % (_SOFTNAME_,
                          session,
                          datetime.timedelta(seconds = int(ttl)),
                          _SERVER_ID_))
    elif subcmd == 'pause' and UNDEFINED not in (instances, session):
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s *pause* instances: %s with session *%s* from %s."
                       % (_SOFTNAME_,
                          ', '.join(instances),
                          session,
                          _SERVER_ID_))
    elif subcmd == 'unpause' and UNDEFINED not in (instances, session):
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s *unpause* instances: %s with session *%s* from %s."
                       % (_SOFTNAME_,
                          ', '.join(instances),
                          session,
                          _SERVER_ID_))
    elif subcmd == 'notify-pause' and UNDEFINED not in (session, ttl):
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s *pause* will be expire for session *%s* in *%s* from %s."
                       % (_SOFTNAME_,
                          session,
                          datetime.timedelta(seconds = int(ttl)),
                          _SERVER_ID_))
    else:
        att['text'] = ("<!subteam^S01D6SMFKN2>: %s *%s* launched from %s."
                       % (_SOFTNAME_,
                          subcmd,
                          _SERVER_ID_))
    endif

    payload = {'attachments': [att],
               'icon_emoji': ':warning:',
               'username': _SOFTNAME_}
%>
${{'headers':
   {'Content-Type': 'application/json'},
   'payload': payload} | n,json.dumps}
